Bug 114678 - "ip route ls" advertised MSS differs from "route -nee"
Summary: "ip route ls" advertised MSS differs from "route -nee"
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: net-tools (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-31 03:38 UTC by Ales Ledvinka
Modified: 2007-04-18 17:02 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-23 10:40:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ales Ledvinka 2004-01-31 03:38:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
net-tools-1.60-7
iproute-2.4.7-7.80.1
(somewhat gruyerish kernel-2.4.18-14)

# route -nee
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref   
Use Iface    MSS   Window irtt
....   0.0.0.0         .... U     0      0        0 eth0     0     0 
    0
127.0.0.0       0.0.0.0         255.0.0.0       U     0      0       
0 lo       0     0      0
0.0.0.0         ....   0.0.0.0         UG    0      0        0 eth0  
  536   0      0

# ip route ls
..../.. dev eth0  scope link
127.0.0.0/8 dev lo  scope link
default via .... dev eth0  advmss 496

/proc/net/route
Iface   Destination     Gateway         Flags   RefCnt  Use     Metric
 Mask
MTU     Window  IRTT
eth0    ........        00000000        0001    0       0       0    
  ........
0       0       0

lo      0000007F        00000000        0001    0       0       0    
  000000FF
0       0       0

eth0    00000000        ........        0003    0       0       0    
  00000000
536     0       0



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot
2.ip route change default via .... advmss 496
3.route -nee
4.ip route ls
5.cat /proc/net/route
(just one machine tried)
    

Additional info:

or please little more explanation in "ip route help" or route manpage
if what i see is correct...

Comment 1 Radek Vokal 2004-11-21 20:00:52 UTC
I can't say that I see the difference here - I've tested this on RHEL3
and the results look just fine. It would be great to have attached
files here - the outputs from your machine with the contradictions. 


Note You need to log in before you can comment on or make changes to this bug.